


export const tableList: any[] = [
  {
    selectedDeptId: 23,
    name: 'has_agg',
    ruleDescription: 'has_agg',
    ruleType: '预置规则',
    ruleHandling: '建议优化',
    creationTime: '2019/12/12 21:21:21',
    updateTime: '2019/12/12 21:21:21',
    owner: 'admin',
    sql:
      'sql.type = createtable\n' +
      'and\n' +
      '{\n'+
      'sql.partitions.size * sql.buckets.size <= 10000\n'+
      '}',
  },
  {
    selectedDeptId: 24,
    name: 'is_Param_Of_Agg',
    ruleDescription: 'is_Param_Of_Agg',
    ruleType: '自定义规则',
    ruleHandling: '禁止执行',
    creationTime: '2019/12/12 21:21:21',
    updateTime: '2019/12/12 21:21:21',
    owner: 'admin',
    sql:
      'SELECT COUNT(*)\n' +
      'FROM $(table a}\n' +
      'WHERE ${column a}IS NOT NULL AND ${column a}NOT IN (${range a})',
  },
  {
    selectedDeptId: 25,
    name: 'is_Location_Exists',
    ruleDescription: 'is_Location_Exists',
    ruleType: '自定义规则',
    ruleHandling: 'admin',
    creationTime: '2019/12/12 21:21:21',
    updateTime: '2019/12/12 21:21:21',
    owner: 'admin',
    sql:
      'SELECT COUNT(*)\n' +
      'FROM $(table a}\n' +
      'WHERE ${column a}IS NOT NULL AND ${column a}NOT IN (${range a})',
  },

];

export const treeDataList = [
  {
    label: '审核规则',
    businessId: 1,
    children: [
      {
        // {
        //   label: 'admin_个人工作区',
        //   businessId: 2,
        //   children: [
        //     { label: '个人工作区1', businessId: 6 },
        //     { label: '个人工作区2', businessId: 7 },
        //   ],
        // },
        // { label: '共享工作区', businessId: 3 },
        // { label: '商城工作区', businessId: 4 },
        // { label: '指标工作区', businessId: 5 },
      }
    ],
  },
];
export const treeDataListTwo = [
  {
    name: '提示规则',
    selectedDeptId: 21,
    children: [
    ],
  },
  {
    name: '错误问题规则',
    selectedDeptId: 22,
    children: [
      {selectedDeptId: 23 },
      {selectedDeptId: 24 },
      {selectedDeptId: 25 },
    ],
  },
];
